io.etcd.jetcd.api

## Interface RequestOpOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  RequestOp, RequestOp.Builder

    public interface RequestOpOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`RequestOp.RequestCase` `getRequestCase()`
`DeleteRangeRequest` `getRequestDeleteRange()` `.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`
`DeleteRangeRequestOrBuilder` `getRequestDeleteRangeOrBuilder()` `.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`
`PutRequest` `getRequestPut()` `.etcdserverpb.PutRequest request_put = 2;`
`PutRequestOrBuilder` `getRequestPutOrBuilder()` `.etcdserverpb.PutRequest request_put = 2;`
`RangeRequest` `getRequestRange()` `.etcdserverpb.RangeRequest request_range = 1;`
`RangeRequestOrBuilder` `getRequestRangeOrBuilder()` `.etcdserverpb.RangeRequest request_range = 1;`
`TxnRequest` `getRequestTxn()` `.etcdserverpb.TxnRequest request_txn = 4;`
`TxnRequestOrBuilder` `getRequestTxnOrBuilder()` `.etcdserverpb.TxnRequest request_txn = 4;`
`boolean` `hasRequestDeleteRange()` `.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`
`boolean` `hasRequestPut()` `.etcdserverpb.PutRequest request_put = 2;`
`boolean` `hasRequestRange()` `.etcdserverpb.RangeRequest request_range = 1;`
`boolean` `hasRequestTxn()` `.etcdserverpb.TxnRequest request_txn = 4;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasRequestRange

    boolean hasRequestRange()

`.etcdserverpb.RangeRequest request_range = 1;`

Returns:
  Whether the requestRange field is set.

#### getRequestRange

    RangeRequest getRequestRange()

`.etcdserverpb.RangeRequest request_range = 1;`

Returns:
  The requestRange.

#### getRequestRangeOrBuilder

    RangeRequestOrBuilder getRequestRangeOrBuilder()

`.etcdserverpb.RangeRequest request_range = 1;`

#### hasRequestPut

    boolean hasRequestPut()

`.etcdserverpb.PutRequest request_put = 2;`

Returns:
  Whether the requestPut field is set.

#### getRequestPut

    PutRequest getRequestPut()

`.etcdserverpb.PutRequest request_put = 2;`

Returns:
  The requestPut.

#### getRequestPutOrBuilder

    PutRequestOrBuilder getRequestPutOrBuilder()

`.etcdserverpb.PutRequest request_put = 2;`

#### hasRequestDeleteRange

    boolean hasRequestDeleteRange()

`.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`

Returns:
  Whether the requestDeleteRange field is set.

#### getRequestDeleteRange

    DeleteRangeRequest getRequestDeleteRange()

`.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`

Returns:
  The requestDeleteRange.

#### getRequestDeleteRangeOrBuilder

    DeleteRangeRequestOrBuilder getRequestDeleteRangeOrBuilder()

`.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`

#### hasRequestTxn

    boolean hasRequestTxn()

`.etcdserverpb.TxnRequest request_txn = 4;`

Returns:
  Whether the requestTxn field is set.

#### getRequestTxn

    TxnRequest getRequestTxn()

`.etcdserverpb.TxnRequest request_txn = 4;`

Returns:
  The requestTxn.

#### getRequestTxnOrBuilder

    TxnRequestOrBuilder getRequestTxnOrBuilder()

`.etcdserverpb.TxnRequest request_txn = 4;`

#### getRequestCase

    RequestOp.RequestCase getRequestCase()